<ion-menu side="left" [content]="content" [swipeEnabled]="false" persistent="true">
  <ion-header>
    <ion-toolbar>
      <ion-title>Menu</ion-title>
    </ion-toolbar>
  </ion-header> 

  <ion-content>
 
    <div padding-bottom >
            <!-- <ion-list padding>
              <button ion-item no-lines  *ngFor="let p of pages"
                (click)="openPage(p)"  menuClose>
                <ion-icon [name]="p.icon" item-left></ion-icon>
                <ion-label >
                  {{p.title}}
                </ion-label>
      
              </button>
              <ion-row padding-top>
                <ion-col col-12 col-sm-12 col-md-12 class="padding-left-0" (click)="logOut()" menuClose>
                   <button ion-button  outline >logout</button>
                </ion-col>
              </ion-row>
            </ion-list>   -->

           <ion-list padding>
              <ion-item class="padding-left-0" (click)="openDashboard()" menuClose>
                <ion-icon>
                <img class="menuimg" src="./assets/imgs/Comparexlogo.png" width="30" /> </ion-icon> Dashboard </ion-item>
              <ion-item  class="padding-left-0" (click)="openOD()" menuClose>
                  <img class="menuimg"  src="./assets/imgs/OD.png" width="30" /> OD Request</ion-item>
              <ion-item class="padding-left-0" (click)="openManagerODApp()" menuClose> 
                <img class="menuimg"  src="./assets/imgs/Comparexlogo.png" width="30" />Manager OD ApprovalPage
              </ion-item>
              <ion-item class="padding-left-0" (click)="openAttendance()" menuClose>
                <img class="menuimg"  src="./assets/imgs/attendance.png" width="30" />Attendance
              </ion-item>
              <ion-item class="padding-left-0" (click)="openCompOff()" menuClose>
                <img class="menuimg"  src="./assets/imgs/Comparexlogo.png" width="30" />Comp Off
              </ion-item>
              <ion-item  class="padding-left-0" (click)="openLeave()" menuClose>
                <img class="menuimg"  src="./assets/imgs/leave.png" width="30" />
               Leave Request </ion-item>
              <ion-item  class="padding-left-0" (click)="logOut()" menuClose >
                <ion-icon name="log-out">
                <img class="menuimg"  src="" width="30" /></ion-icon>Logout
              </ion-item>
            </ion-list>  


      
            </div>


    <p id="side-titles" style="display:none"></p>

  </ion-content>

</ion-menu>

<!-- Disable swipe-to-go-back because it's poor UX to combine STGB with side menus -->
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>